%define major		4
%define libname		%mklibname kvilib4_ %major
%define develname	%mklibname kvilib4 -d
%define subrel		1

Name:		kvirc
Version:	4.0.2
Release:	%mkrel 0
Summary:	Qt IRC client
Group:		Networking/IRC
License:	GPLv2+ with exceptions
URL:		http://www.kvirc.net
Source0:	ftp://ftp.kvirc.de/pub/%{name}/%{version}/source/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	qt4-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	perl-devel
BuildRequires:	gettext
BuildRequires:	phonon-devel
BuildRequires:	openssl-devel
BuildRequires:	doxygen
Obsoletes:	kvirc4
Provides:	kvirc4

%description
Qt-based IRC client with support for themes, transparency, encryption,
many extended IRC features, and scripting.

%package -n %{libname}
Summary:	Shared library for KVirc 4
Group:		System/Libraries

%description -n %{libname}
Shared library provided by KVirc 4.

%package -n %{develname}
Requires:	%{libname} = %{version}-%{release}
Summary:	Development headers for KVirc 4
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname kvirc 3 -d} < %{version}-%{release}

%description -n %{develname}
Development headers for KVirc 4.

%prep 
%setup -q

%build
%cmake -DWITH_KDE4=true -DLIB_INSTALL_PREFIX=%{_libdir}
%make

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128,scalable}/apps
for i in 16x16 32x32 48x48 64x64 128x128; do \
	cp data/icons/$i/*.png %{buildroot}%{_iconsdir}/hicolor/$i/apps; \
done
cp data/icons/scalable/*.svg* %{buildroot}%{_iconsdir}/hicolor/scalable/apps
rm -f %{buildroot}%{_iconsdir}/hicolor/scalable/apps/createpng.sh

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/%{name}/4.0
%{_datadir}/%{name}/4.0
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svgz
%{_mandir}/man1/*.1*
%lang(de) %_mandir/de/man1/*.1*
%lang(it) %_mandir/it/man1/*.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libkvilib.so.%{major}*

%files  -n %{develname}
%defattr(-,root,root)
%{_libdir}/libkvilib.so


%changelog
* Sun Aug 08 2010 Rémy Clouard <shikamaru@mandriva.org> 4.0.2-0.1mdv2010.0
+ Revision: 567732
- update to stable version 4.0.2

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 4.0.0-0.3065.2mdv2010.0
+ Revision: 438172
- rebuild

* Wed Feb 04 2009 Adam Williamson <awilliamson@mandriva.org> 4.0.0-0.3065.1mdv2009.1
+ Revision: 337495
- go back to my naming scheme (or upgrading breaks)
- from shika: new snapshot 3065, drop desktop.patch (merged)

* Sun Nov 09 2008 Adam Williamson <awilliamson@mandriva.org> 4.0.0-0.2842.2mdv2009.1
+ Revision: 301629
- fix menu entry (again), thanks Adam Pigg

* Sun Nov 09 2008 Adam Williamson <awilliamson@mandriva.org> 4.0.0-0.2842.1mdv2009.1
+ Revision: 301192
- switch to kvirc4 in the main package, drop kvirc4 package

* Sun Sep 07 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-0.2417.1mdv2009.0
+ Revision: 282376
- correct libdir in configure
- mention SVN location for 3.4 branch
- move to /opt
- enable SSL support (license problem resolved)
- update license
- bump to current SVN of 3.4 branch for updated license and misc fixes
- disable underlinking protection (breaks build, can't fix easily and I
  need to get a new build through)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.0-1mdv2009.0
+ Revision: 195298
- use qt3 macros
- version the obsolete
- new release 3.4.0

* Fri Mar 21 2008 Adam Williamson <awilliamson@mandriva.org> 3.2.6-2mdv2008.1
+ Revision: 189333
- drop irc.protocol (causes conflict with kopete) (#38453)

* Wed Feb 06 2008 Adam Williamson <awilliamson@mandriva.org> 3.2.6-1mdv2008.1
+ Revision: 162955
- disable parallel build again (doesn't seem to work)
- rebuild for new era (and fixes 20120)
- adjust file list
- add --with-kde-lib-dir parameter to fix KDE-supporting build on x86-64
- include working XDG menu entry
- new library policy
- new license policy
- extensive spec clean and rearrange to fit MDV norms
- new release 3.2.6 final

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix File list
    - Add BuildRequires
    - Import kvirc

